myWebsite/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('detail/', views.detail, name='detail'),
    path('tambah-kegiatan/', views.tambahKegiatan, name='tambah-kegiatan'),
    path('tambah-peserta/', views.tambahPeserta, name='tambah-peserta'),
    path('kegiatan/', views.kegiatan, name='kegiatan')
]

mysite/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('myWebsite.urls')),
]

myWebsite/models.py
from django.db import models

class Matkul(models.Model):
    nama = models.CharField(max_length=30)
    dosen = models.CharField(max_length=30)
    sks = models.IntegerField()
    deskripsi = models.TextField()
    tahun = models.CharField(max_length=30)
    ruangKelas = models.CharField(max_length=30)

    def __str__(self):
        return self.nama

class Kegiatan(models.Model):
    nama = models.CharField(max_length=30)

    def __str__(self):
        return self.nama

class Peserta(models.Model):
    nama = models.CharField(max_length=30)
    kegiatan = models.ForeignKey(Kegiatan, on_delete=models.CASCADE)

    def __str__(self):
        return self.nama

    class Meta:
        ordering = ['nama']

# Create your models here.

myWebsite/forms.py
from django import forms
from django.forms import fields

from .models import Matkul, Kegiatan, Peserta
from django.forms.models import ModelForm

class MatkulForm(ModelForm):
    class Meta:
        model = Matkul
        fields = ['nama', 'dosen', 'sks', 'deskripsi', 'tahun', 'ruangKelas']

class KegiatanForm(ModelForm):
    class Meta:
        model = Kegiatan
        fields = ['nama']

class PesertaForm(ModelForm):
    class Meta:
        model = Peserta
        fields = ['nama', 'kegiatan']

myWebsite/views.py
from django.shortcuts import get_object_or_404, redirect, render
from django.http import HttpResponse
from .models import Matkul, Kegiatan, Peserta
from .forms import MatkulForm, KegiatanForm, PesertaForm

# Create your views here.
def index(request):
    if request.method == 'GET':
        data = request.GET.get('matkul')
        matkul = Matkul.objects.filter(nama = data)
        matkul.delete()
        
        
    matkul = Matkul.objects.all()
    return render(request, 'myWebsite/index.html', {'matkul' : matkul})

def detail(request):
    if request.method == 'POST':
        form = MatkulForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/')
    else:
        form = MatkulForm()

    return render(request, 'myWebsite/detail.html', {'form': form})

def tambahKegiatan(request):
    if request.method == 'POST':
        form = KegiatanForm(request.POST)
        if form.is_valid():
            form.save()
        return redirect('/kegiatan')
    else:
        form = KegiatanForm()

    return render(request, 'myWebsite/tambah-kegiatan.html', {'form': form})

def kegiatan(request):
    kegiatan = Kegiatan.objects.all()
    peserta = Peserta.objects.all()
    return render(request, 'myWebsite/kegiatan.html', {'kegiatan' : kegiatan, 'peserta' : peserta})

def tambahPeserta(request):
    if request.method == 'POST':
        form = PesertaForm(request.POST)
        if form.is_valid():
            form.save()
        return redirect('/kegiatan')
    else:
        form = PesertaForm()

    return render(request, 'myWebsite/tambah-peserta.html', {'form': form})

myWebsite/templates/myWebsite/base.html
<!doctype html>
<html lang="en">
  <head>
    {% load static %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'myWebsite/style.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <title>Hello, world!</title>
  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid">
        <a class="navbar-brand" href="#">Profile</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item">
              <a class="nav-link" href="/">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/detail">Add Data</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/kegiatan">Kegiatan</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/tambah-kegiatan">Tambah Kegiatan</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/tambah-peserta">Tambah Peserta</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    {% block body %}
    {% endblock %}
  </body>
  <script>
    $( function() {
      $( "#accordion" ).accordion({collapsible:true, active:false});
    } );
    
    $("#button1d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section2").text();
      var temp2 = paragraphs.eq(1).text();
      $("#section2").text($("#section1").text());
      paragraphs.eq(1).text(paragraphs.eq(0).text());
      $("#section1").text(temp);
      paragraphs.eq(0).text(temp2);
  });

  $("#button2d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section3").text();
      var temp2 = paragraphs.eq(2).text();
      $("#section3").text($("#section2").text());
      paragraphs.eq(2).text(paragraphs.eq(1).text());
      $("#section2").text(temp);
      paragraphs.eq(1).text(temp2);
  });

  $("#button3d").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section4").text();
      var temp2 = paragraphs.eq(3).text();
      $("#section4").text($("#section3").text());
      paragraphs.eq(3).text(paragraphs.eq(2).text());
      $("#section3").text(temp);
      paragraphs.eq(2).text(temp2);
  });
  
  $("#button1u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section2").text();
      var temp2 = paragraphs.eq(1).text();
      $("#section2").text($("#section1").text());
      paragraphs.eq(1).text(paragraphs.eq(0).text());
      $("#section1").text(temp);
      paragraphs.eq(0).text(temp2);
  });

  $("#button2u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section3").text();
      var temp2 = paragraphs.eq(2).text();
      $("#section3").text($("#section2").text());
      paragraphs.eq(2).text(paragraphs.eq(1).text());
      $("#section2").text(temp);
      paragraphs.eq(1).text(temp2);
  });

  $("#button3u").click(function(event){
      event.stopPropagation(); 
      event.preventDefault();

      var paragraphs = $('#accordion div p');  

      var temp = $("#section4").text();
      var temp2 = paragraphs.eq(3).text();
      $("#section4").text($("#section3").text());
      paragraphs.eq(3).text(paragraphs.eq(2).text());
      $("#section3").text(temp);
      paragraphs.eq(2).text(temp2);
  });

  </script>
</html>

myWebsite/templates/myWebsite/detail.html
{% extends 'myWebsite/base.html' %}

    {% block body %}
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <input type="submit" value="Submit">
        </form>
    {% endblock %}

myWebsite/templates/myWebsite/index.html
{% extends 'myWebsite/base.html'%}

{% block body %}
        <div class="wrapper">
            <div class="box profile">
                <img src="https://pelayananpublik.id/wp-content/uploads/2020/03/Screenshot_20200303-174621_1.jpg" class="img-thumbnail">
              
                <div id="accordion">
                  <h3><span id="section1">Section 1</span> <button id="button1d">V</button> </h3>
                  <div>
                    <p>
                    Mauris mauris ante, blandit et, ultrices a, suscipit eget, quam. Integer
                    ut neque. Vivamus nisi metus, molestie vel, gravida in, condimentum sit
                    amet, nunc. Nam a nibh. Donec suscipit eros. Nam mi. Proin viverra leo ut
                    odio. Curabitur malesuada. Vestibulum a velit eu ante scelerisque vulputate.
                    </p>
                  </div>
                  <h3><span id="section2">Section 2</span> <button id="button1u">^</button> <button id="button2d">V</button></h3>
                  <div>
                    <p>
                    Sed non urna. Donec et ante. Phasellus eu ligula. Vestibulum sit amet
                    purus. Vivamus hendrerit, dolor at aliquet laoreet, mauris turpis porttitor
                    velit, faucibus interdum tellus libero ac justo. Vivamus non quam. In
                    suscipit faucibus urna.
                    </p>
                  </div>
                  <h3><span id="section3">Section 3</span> <button id="button2u">^</button> <button id="button3d">V</button></h3>
                  <div>
                    <p>
                    Nam enim risus, molestie et, porta ac, aliquam ac, risus. Quisque lobortis.
                    Phasellus pellentesque purus in massa. Aenean in pede. Phasellus ac libero
                    ac tellus pellentesque semper. Sed ac felis. Sed commodo, magna quis
                    lacinia ornare, quam ante aliquam nisi, eu iaculis leo purus venenatis dui.
                    </p>
                    <ul>
                      <li>List item one</li>
                      <li>List item two</li>
                      <li>List item three</li>
                    </ul>
                  </div>
                  <h3><span id="section4">Section 4</span> <button id="button3u">^</button></h3>
                  <div>
                    <p>
                    Cras dictum. Pellentesque habitant morbi tristique senectus et netus
                    et malesuada fames ac turpis egestas. Vestibulum ante ipsum primis in
                    faucibus orci luctus et ultrices posuere cubilia Curae; Aenean lacinia
                    mauris vel est.
                    </p>
                    <p>
                    Suspendisse eu nisl. Nullam ut libero. Integer dignissim consequat lectus.
                    Class aptent taciti sociosqu ad litora torquent per conubia nostra, per
                    inceptos himenaeos.
                    </p>
                  </div>
                </div>
            </div>

            <div class="box matkul">
                <div class="isiMatkul">
                    <table style="width:100%">
                    <tr>
                        <th>Nama</th>
                        <th>Dosen</th> 
                        <th>Sks</th>
                        <th>Deskripsi</th>
                        <th>tahun</th>
                        <th>Ruang Kelas</th>
                      </tr>
                    {% for matkul in matkul %}
                      <tr>
                        <td>{{ matkul.nama }}</td>
                        <td>{{ matkul.dosen }}</td>
                        <td>{{ matkul.sks }}</td>
                        <td>{{ matkul.deskripsi }}</td>
                        <td>{{ matkul.tahun }}</td>
                        <td>{{ matkul.ruangKelas }}</td>
                      </tr>
                    {% endfor %}
                </table>
                </div>
            </div>
            <div class="box c"> <form action="/">
              <label for="matkul">Matkul yang akan didelete :</label><br>
              <input type="text" id="matkul" name="matkul" value="">
              <input type="submit" value="Submit">
            </form>
          </div> 
          </div>
{% endblock %}

myWebsite/templates/myWebsite/kegiatan.html
{% extends 'myWebsite/base.html' %}

{% block body %}
<div class="wrapper-kegiatan">
    {% for kegiatan in kegiatan %}
    <div class ="box-kegiatan">
        <p>{{ kegiatan.nama }}</p>
        <p>PESERTA : </p>
        <br>
        {% for peserta in kegiatan.peserta_set.all %}
        <p>{{ peserta.nama }}</p>
        {% endfor %}
    </div>
    {% endfor %}
</div>
{% endblock %}

myWebsite/templates/myWebsite/tambah-kegiatan.html
{% extends 'myWebsite/base.html' %}

    {% block body %}
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <input type="submit" name="kegiatan">
        </form>
    {% endblock %}

myWebsite/templates/myWebsite/tambah-peserta.html
{% extends 'myWebsite/base.html' %}

    {% block body %}
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <input type="submit" name="peserta">
        </form>
    {% endblock %}